Subject: Re: bug#61506: 30.0.50; [PATCH]: Send command in eglot completion exit-function

From: Felician Nemeth <[email-masked]>
Date: Mon, 11 Dec 2023 16:12:18 +0100

>>>> I have no strong opinions on _where_ exactly the command should be sent,
>>>> as in before or after the didchange notification.
>
> I've created an issue about it here:
> https://github.com/microsoft/language-server-protocol/issues/1672

We've got a reply.  Dirk Bäumer writes:

> Actually the command has to be dispatch on the client side since. IF
> the client then forwards it to the server that is fine. From a timing
> perspective it should arrive at the server (if at all) after
> textDocument/didChange.

I hope this is useful.  Unfortunately, I don't really remember why I was
involved in this thread.